## net.sourceforge.pmd.ast
Class ASTPrimitiveType

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.ASTPrimitiveType

All Implemented Interfaces:
  Dimensionable, JavaNode, Node

public class ASTPrimitiveType
extends SimpleJavaNode
implements Dimensionable

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`ASTPrimitiveType(int id)`
`ASTPrimitiveType(JavaParser p, int id)`

Method Summary
`void` `bumpArrayDepth()`
`int` `getArrayDepth()`
`boolean` `isArray()`
`boolean` `isBoolean()`
`java.lang.Object` `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode

`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTPrimitiveType

    public ASTPrimitiveType(int id)

### ASTPrimitiveType

    public ASTPrimitiveType(JavaParser p,
                            int id)

Method Detail

### isBoolean

    public boolean isBoolean()

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`
  Overrides:
    `jjtAccept` in class `SimpleJavaNode`

### bumpArrayDepth

    public void bumpArrayDepth()

### getArrayDepth

    public int getArrayDepth()

  Specified by:
    `getArrayDepth` in interface `Dimensionable`

### isArray

    public boolean isArray()

  Specified by:
    `isArray` in interface `Dimensionable`

Copyright © 2002-2006 InfoEther. All Rights Reserved.